
import java.util.Scanner;

public class CheckDigit {
	public static void main(String [] args) {
		Scanner input = new Scanner(System.in);
		
		String s; int length, temp, digits[];
		
		int K = input.nextInt(); input.nextLine();

		for (int i = 0; i < K; i++) {
			s = input.nextLine(); length = s.length();
			digits = new int[length];
			for (int j = 0; j < length; j++)
				digits[j] = s.charAt(j) - '0';
			
			//Solution 1
			/* if (isValid(digits)) System.out.println("VALID");
			else 
				for (int j = 0; j < 10; j++) {
					digits[digits.length - 1] = j;
					if (isValid(digits)) {
						System.out.printf("%s %d\n", "INVALID", j);
						break;
				}
			} */
			
			//Solution 2
			//System.out.println("==================");
			temp = checkD(digits);
			if (temp == 0 ) System.out.println("VALID");
			else {
				temp = 10 -  temp;
				temp += digits[digits.length - 1];
				temp %= 10;
			System.out.println("INVALID" + " " + temp );
			}
		}
	}
	
	private static boolean isValid(int[] digits) {
		int sum = 0;
		
		for (int i = 0; i < digits.length; i++) {
			int d = digits[digits.length - 1 - i];
			if (i % 2 == 0) sum += d;
			else sum += d / 5 + d % 5 * 2;
		}
		
		return sum % 10 == 0;
	}
	
	private static int checkD(int[] digits) {
		int sum = 0;
		
		for (int i = 0; i < digits.length; i++) {
			int d = digits[digits.length - 1 - i];
			if (i % 2 == 0) sum += d;
			else sum += d / 5 + d % 5 * 2;
		}
		sum %= 10;
		
		return sum;
	}
	
}


